# Diagramme de classes

title: Animal example

note for PlayerActif "Joueur en jeu"
note for PlayerStatic "Joueur dans les menus"

---

```mermaid
classDiagram

class User{
    +String name
    +int NbEntiteTuee
}

class PlayerActif{
    +int currentLevel
    +ChangeCurrentLevel(int)
    +Play()
}


class PlayerStatic{
    +int score
    +float percentToSuper
    +HandleUseSuper()
}

User <|-- PlayerActif
User <|-- PlayerStatic

class Level{
    +int number
    +String sescription
    +float time
    +int nbTotEnemy
    +int nbEnemyDown
}
PlayerActif --> Level : currentLvl
```